export interface IEvent {
    Subscribe(handler: {
        (): void;
    }): void;
    Unsubscribe(handler: {
        (): void;
    }): void;
}
export declare class Event implements IEvent {
    private _log;
    private handlers;
    Subscribe(handler: {
        (): void;
    }): void;
    Unsubscribe(handler: {
        (): void;
    }): void;
    Invoke(): void;
}
