import { ChatType, IChatImplementation, IChatService } from "./IChatService";
export declare class ChatService implements IChatService {
    static readonly ServiceName: string;
    private _services;
    GetServiceName(): string;
    GetChatImplementation<T extends IChatImplementation>(chatType: ChatType): T;
}
export declare enum ChatServiceErrorCode {
    OtherError = "OtherError",
    FatalError = "FatalError",
    Error = "Error",
    NoData = "NoData"
}
