import { ResponseResult } from '../FieldChangeResult';
import { Coordinates, CoordinatesWithSourceInfo, IGeolocationService, SetGeolocationResponseCode } from './IGeolocationService';
import { Status } from '../../DataFrame';
export declare class GeolocationService implements IGeolocationService {
    static readonly ServiceName: string;
    IsControllerGeolocationSetAsync(): Promise<boolean | Status>;
    GetCurrentGeolocationAsync(): Promise<GeolocationPosition | GeolocationPositionError>;
    SetControllerGeolocationAsync(location: Coordinates): Promise<ResponseResult<SetGeolocationResponseCode>>;
    GetControlllerGeolocationAsync(): Promise<CoordinatesWithSourceInfo | Status>;
    GetServiceName(): string;
}
