import { DeviceTaskType } from "./IDevice";
export interface IDeviceTask {
    get TaskType(): DeviceTaskType;
    get Guid(): string;
    get DeviceGuid(): string;
    get Channel(): number;
}
export declare enum DeviceControlFeature {
    TurnOn = 0,
    TurnOff = 1,
    ToggleState = 2,
    SetBlindPosition = 3,
    SetLightColor = 4,
    SetLightTemperature = 5,
    SetLightBrightness = 6,
    SetTemperature = 7,
    GetState = 8,
    TurnOnWithTimeout = 9,
    SetLightBrightnessDynamicly = 10,
    IdentifyDevice = 11,
    SetBlindOpenCloseTime = 12,
    SetBlindMicroventilation = 13,
    GatewayPulse = 25,
    GatePulse = 26,
    SetFacadePositionAndTilt = 29,
    GetFacadeType = 30,
    LightRGBW = 31,
    SetGatePositionPrecise = 32
}
