import { DeviceTaskType } from '../IDevice';
import { DeviceControlFeature, IDeviceTask } from '../IDeviceTask';
export declare class DeviceTask implements IDeviceTask {
    private _taskType;
    private _featureType;
    private _channel;
    private _guid;
    private _deviceGuid;
    get TaskType(): DeviceTaskType;
    set TaskType(taskType: DeviceTaskType);
    get FeatureType(): DeviceControlFeature;
    set FeatureType(featureType: DeviceControlFeature);
    get Guid(): string;
    set Guid(guid: string);
    get DeviceGuid(): string;
    set DeviceGuid(value: string);
    get Channel(): number;
    set Channel(value: number);
}
