export declare class FieldChangeResult {
    private _type;
    private _data;
    constructor(type: FieldChangeResultType, data: string);
    get Type(): FieldChangeResultType;
    set Type(value: FieldChangeResultType);
    get Data(): string;
    set Data(value: string);
}
export declare class ResponseResult<T> {
    private _type;
    private _data;
    constructor(type: T, data: string);
    get Type(): T;
    set Type(value: T);
    get Data(): string;
    set Data(value: string);
}
export declare enum FieldChangeResultType {
    ResourceDoesNotExists = -6,
    UnknownError = -5,
    NoPermissions = -4,
    WrongData = -3,
    ControllerResponseTimeout = -2,
    Failed = -1,
    Unknown = 0,
    Changed = 1
}
