import { ILocalStorageService } from "./ILocalStorageService";
export declare class LocalStorageService implements ILocalStorageService {
    static readonly ServiceName: string;
    GetServiceName(): string;
    private GetResourceName;
    Remove(inContextOf: string, objectId: string): void;
    DropStorage(inContextOf: string): void;
    Save(inContextOf: string, objectId: string, data: any): void;
    Read<T>(inContextOf: string, objectId: string): T | null;
}
