import { TimeSpanParam } from "./LeftArgumentTypes";
export declare class DelayTask {
    Delay: TimeSpanParam;
}
export declare class NotifyTask {
    Title: string;
    Message: string;
    NotifyType: NotifyType;
}
export declare enum NotifyType {
    None = 0,
    AppNotification = 1,
    Email = 2
}
export declare class LockExecutionTask {
    LockType: LockType;
    LockStartHour: TimeSpanParam;
    LockEndHour: TimeSpanParam;
    ResetLockScenesGuids: string[];
}
export declare enum LockType {
    Timeout = 0,
    TimeRange = 1
}
