export interface ITypedEvent<T> {
    Subscribe(handler: {
        (data: T): void;
    }): void;
    Unsubscribe(handler: {
        (data: T): void;
    }): void;
}
export declare class TypedEvent<T> implements ITypedEvent<T> {
    private handlers;
    Subscribe(handler: {
        (data: T): void;
    }): void;
    Unsubscribe(handler: {
        (data: T): void;
    }): void;
    Invoke(data: T): void;
}
