import { Status } from "../../DataFrame";
import { ResponseResult } from "../FieldChangeResult";
import { ConnectedApp, IConnectedAppsService, UpsertConnectedAppResult } from "./IConnectedAppsService";
export declare class ConnectedAppsService implements IConnectedAppsService {
    static readonly ServiceName: string;
    private readonly _connection;
    private readonly _log;
    GetServiceName(): string;
    IsSupportedAsync(): Promise<boolean>;
    GetConnectedAppsAsync(): Promise<Status | ConnectedApp[]>;
    UpsertConnectedAppAsync(app: ConnectedApp): Promise<ResponseResult<UpsertConnectedAppResult>>;
    RemoveConnectedAppAsync(app: ConnectedApp): Promise<Status>;
}
