import { ManuallyPairedDevice } from "./IDevice";
import { DeviceTaskExecutionResult } from "./TaskExecutionResult";
export interface IManuallyPairedDevicesProtocolService {
    get ProtocolExtensionGuid(): string;
    GetServiceName(): string;
    GetDevicesForManualPairingAsync(): Promise<ManuallyPairedDevice[]>;
    AddManuallyPairedDeviceAsync(device: ManuallyPairedDevice): Promise<DeviceTaskExecutionResult>;
}
