import { IDIService } from "../../IDIService";
import { ManuallyPairedDevice } from "./IDevice";
import { IManuallyPairedDevicesProtocolService } from "./IManuallyPairedDevicesProtocolService";
import { DeviceTaskExecutionResult } from "./TaskExecutionResult";
export interface IManuallyPairedDevicesService extends IDIService {
    RegisterManuallyPairedDevicesProtocol(service: IManuallyPairedDevicesProtocolService): void;
    GetRegisteredProtocolGuids(): string[];
    GetDevicesForManualPairingAsync(protocolExtensonGuid?: string): Promise<ManuallyPairedDevice[]>;
    GetDevicesForManualPairingAsync(protocolExtensonGuids?: string[]): Promise<ManuallyPairedDevice[]>;
    AddManuallyPairedDeviceAsync(device: ManuallyPairedDevice): Promise<DeviceTaskExecutionResult>;
}
