import { IDIService } from "../IDIService";
export interface ILocalStorageService extends IDIService {
    Save(inContextOf: string, objectId: string, data: any): void;
    Read<T>(inContextOf: string, objectId: string): T | null;
    Remove(inContextOf: string, objectId: string): void;
    DropStorage(inContextOf: string): void;
}
