import { ILoggerService, LogLevel } from "./ILoggerService";
export declare class LoggerService implements ILoggerService {
    private _blockedServices;
    static readonly ServiceName: string;
    static DoesThrowStackTrace: boolean;
    constructor();
    EnableStackTrace(): void;
    DisableStackTrace(): void;
    private IsBlocked;
    DisableLogsFrom(name: string): void;
    EnableLogsFrom(name: string): void;
    private _logLevel;
    get LogLevel(): LogLevel;
    set LogLevel(level: LogLevel);
    GetServiceName(): string;
    private GetTimeStamp;
    Warning(message: string): void;
    Warning(contextClassType: string, message: string): void;
    Error(message: string): void;
    Error(contextClassType: string, message: string): void;
    Info(message: string): void;
    Info(contextClassType: string, message: string): void;
    Debug(message: string): void;
    Debug(contextClassType: string, message: string): void;
    Log(message: string): void;
    Log(contextClassType: string, message: string): void;
}
