import { DataFrame } from "../../DataFrame";
import { IWebApiCacheService } from "./IWebApiCacheService";
export declare class WebApiCacheService implements IWebApiCacheService {
    private static _localStorageService;
    private _log;
    static readonly ServiceName: string;
    constructor();
    GetServiceName(): string;
    private GetResourceName;
    Cache(data: DataFrame<any>): void;
    GetCache(data: DataFrame<any>): DataFrame<any> | null;
    ClearCache(): void;
    Remove(data: DataFrame<any>): void;
}
